import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_gitea_running_and_enabled(host):
    gitea = host.service("gitea")
    assert gitea.is_running
    assert gitea.is_enabled


def test_gitea_socket(host):
    # Verify the socket is listening for HTTP traffic
    assert host.socket("tcp://127.0.0.1:3000").is_listening
    # Verify the socket is listening for SSH traffic
    assert host.socket("tcp://127.0.0.1:2222").is_listening


def test_gitea_conn_error(host):
    code = int(
        host.run("curl -sSL -w '%{http_code}' http://127.0.0.1:3000/ -o /dev/null").stdout  # noqa
    )
    body = host.run("curl -sSLX GET http://127.0.0.1:3000/").stdout

    assert code == 200
    assert "Gitea: Git with a cup of tea" in body
